/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) 71M, Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CBackground.h

  Description :	

  Last Modified $Date: 2006/10/09 16:55:45 $

  $Revision: 1.1 $

*******************************************************************************/

#ifndef CBACKGROUND_H_
#define CBACKGROUND_H_

//******************************************************************************
//   Include Files
//******************************************************************************

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************
class CTexture;

struct sStripInfo
{
	float		m_SinPos;
	float		m_SinSpeed;
	float		m_SinPitch;
	float		m_SinYSize;
	float		m_SinYOffset;
	bool		m_bFlipped;
};

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CBackground
{
	public:

		static void		Open();
		static void		Close();

		static void		SetBackgroundTexture( CTexture * const p_texture );

	protected:

		static void		Render();
		static void		RenderStrip( sStripInfo & info );

		static void		SetBackgroundImage( u32 index );
};

//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CBACKGROUND_H_ */
