/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CCachedTexture.h

  Description :	

  Last Modified $Date: 2007/01/03 05:31:14 $

  $Revision: 1.1 $

*******************************************************************************/
#ifndef CCACHEDTEXTURE_H_
#define CCACHEDTEXTURE_H_

#include "CTextureManager.h"
#include "CCachedBase.h"

class CCachedTexture : public CTexture, public CCachedBase
{
	public: /* Constructors & destructors */
	
		CCachedTexture(CString resourcePath, CTexture::Format format = CTexture::rgba32);
		virtual ~CCachedTexture();
		
	public: /* Inherited from CCachedBase */
	
		virtual u32 getMagicNumber() { return 0x7ec5706e; }
		virtual CString getCacheExtension() { return "tcache"; }
		virtual bool initFromSource();
		virtual bool initFromCache();
		virtual bool cache();
};

#endif /*CCACHEDTEXTURE_H_*/
