/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CCertComm.h

  Description :	

*******************************************************************************/
#include "CCertComm.h"
#include "CCertRequest.h"
#include "CMailbox.h"
#include "CLog.h"

CCertComm::CCertComm(SceUID aMailboxMbx, SceUID aRequestorMbx) :
	m_mailboxMbx(aMailboxMbx),
	m_requestorMbx(aRequestorMbx)
{
}

void CCertComm::sendCertRequest(VX509CertificateRef aCert)
{
	SMailboxMsg* requestMsg = new SMailboxMsg(EMailboxMsgType_CertRequest);
	requestMsg->certRequest = new CCertRequest(m_requestorMbx, aCert);

	if (int err = sceKernelSendMbx(m_mailboxMbx, requestMsg))
		CLog::Error("Cert request error: failed to send message to mbx: 0x%x\n", err);
}

bool CCertComm::processCertReply(struct SCertMsg* aCertMsg)
{
	return ((aCertMsg->m_type == CERT_MSG_TYPE) && (aCertMsg->m_certAccepted));
}

SCertMsg* CCertComm::createCertReplyMsg(bool aAccepted)
{
	SCertMsg* toRet = new SCertMsg();
	toRet->m_certAccepted = aAccepted;
	return toRet;
}
