/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CCertComm.h

  Description :	

*******************************************************************************/
#ifndef CCERTCOMM_H_
#define CCERTCOMM_H_

#include "CTypes.h"
#include "VMimeTypes.h"

#define CERT_MSG_TYPE 1000

class SCertMsg : public SCommMsg
{
	public:
		SCertMsg(u32 aType) : SCommMsg(aType) {};
		SCertMsg() : SCommMsg(CERT_MSG_TYPE) {};
	
	public:
		bool m_certAccepted;
};

class CCertComm : public CBase
{
	public: /* Constructors & destructors */
	
		CCertComm(SceUID aMailboxMbx, SceUID aRequestorMbx);
	
	public: /* New methods */
	
		void sendCertRequest(VX509CertificateRef aCert); /* Sends a certificate request msg to the mailbox */
		bool processCertReply(struct SCertMsg* aCertMsg); /* Returns true if the cert was accepted */
		static SCertMsg* createCertReplyMsg(bool aAccepted);
		
	private:
	
		SceUID m_mailboxMbx;
		SceUID m_requestorMbx;
};

#endif /*CCERTCOMM_H_*/
