/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CCertRequest.h

  Description :	

*******************************************************************************/
#ifndef CCERTREQUEST_H_
#define CCERTREQUEST_H_

#include "CCertificateManager.h"
#include "VMimeTypes.h"
#include <pspthreadman.h>

class CCertRequest : public CBase
{
	public: /* Constructors & destructors */
	
		CCertRequest(SceUID aReplyMbx, VX509CertificateRef aCert);
		~CCertRequest();
		
	public: /* New methods */
	
		void accept(vmime::ref<CCertificateManager> aCertManager);
		void acceptForSession(vmime::ref<CCertificateManager> aCertManager);
		void decline();
		
		VX509CertificateRef getCert() { return m_cert; };
		
	private:
	
		SceUID m_replyMbx;
		VX509CertificateRef m_cert;
};

#endif /*CCERTREQUEST_H_*/
