#include "CCertificateStore.h"
#include "CLog.h"
#include "CFileSystem.h"
#include <pspiofilemgr.h>

CCertificateStore::CCertificateStore(CString aPath) :
	m_path(aPath)
{
}

CCertificateStore::~CCertificateStore()
{
	m_certList.clear();
}

bool CCertificateStore::storeCert(VX509CertificateRef aCert)
{
	m_certList.push_back(aCert);
	return true;
}

VX509CertificateRefList CCertificateStore::getCertList()
{
	return m_certList;
}

void CCertificateStore::importCertList()
{
	vmime::platforms::psp::pspFileIterator fileIt(vmime::utility::path(m_path.GetStr()), m_path.GetStr());
	while (fileIt.hasMoreElements())
	{
		vmime::ref<vmime::utility::file> aFile = fileIt.nextElement();
		importCert(aFile);
	}
}

void CCertificateStore::importCert(vmime::ref<vmime::utility::file> aFileRef)
{
	if (!aFileRef->isFile() || !aFileRef->exists() || !aFileRef->canRead())
	{
		CLog::Error("Error importing certificate: File doesn't exist or isn't readable.\n");
		return;
	}
	
	vmime::ref <vmime::utility::fileReader> fileReader(aFileRef->getFileReader());
	vmime::ref <vmime::utility::inputStream> stream(fileReader->getInputStream());
	VX509CertificateRef cert = VX509Certificate::import(*stream);
	
	if (cert != NULL)
		m_certList.push_back(cert);
	else
		CLog::Error("Error importing certificate.\n");
}
