/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CContextMenu.h

  Description :	

  Last Modified $Date: 2006/11/16 03:44:59 $

  $Revision: 1.2 $

*******************************************************************************/

#ifndef CCONTEXTMENU_H_
#define CCONTEXTMENU_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CTypes.h"
#include "CWindow.h"
#include "CGfx.h"
#include "CContextMenuItem.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************
class CContextMenuItem;

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CContextMenu : public CWindow
{
	public:
		typedef std::vector< CContextMenuItem * > CContextMenuItemList;

	public:

		CContextMenu(CContextMenuItemList * const menuItemList, V2 const menuPosition, bool root = true);

		~CContextMenu();
		
		virtual void			Render();
		virtual void			Process();
		virtual bool			ProcessInput();
		int						getExitValue();

	private:
		void buildSubMenu();

	private:
		CContextMenu* m_pSubMenu;
		CContextMenuItemList* m_pMenuItemList;
		V2 m_menuSize;
		V2 m_menuItemSize;
		V2 m_menuPosition; // relative to top right corner of screen
		int m_exitValue;
		int m_dividers;
		unsigned int m_SelectedItemIndex;
		bool m_root;
};

//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CCONTEXTMENU_H_ */
