/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CContextMenu.cpp

  Description :	

  Last Modified $Date: 2006/10/09 16:55:46 $

  $Revision: 1.1 $

*******************************************************************************/

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CContextMenuItem.h"
#include "CTypes.h"
#include "CWindow.h"
#include "CGfx.h"
#include "CContextMenu.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
CContextMenuItem::CContextMenuItem( const CString & name, int action, bool hasDivider, std::vector< CContextMenuItem * >* const menuItemList) : m_szName(name),
	m_action(action),
	m_hasDivider(hasDivider),
	m_pSubItemList(menuItemList)
{

}

CContextMenuItem::~CContextMenuItem()
{
	if (m_pSubItemList != NULL) {
		std::vector< CContextMenuItem * >::iterator it = m_pSubItemList->begin();
		while( it !=  m_pSubItemList->end() ) {
			SAFE_DELETE((*it));
			it++;
		}
	}
}

//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

