/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CContextMenu.h

  Description :	

  Last Modified $Date: 2008/09/29 04:22:27 $

  $Revision: 1.2 $

*******************************************************************************/

#ifndef CCONTEXTMENUITEM_H_
#define CCONTEXTMENUITEM_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CTypes.h"
#include "CWindow.h"
#include "CGfx.h"
#include "CContextMenu.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************
class CContextMenuItem;

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CContextMenuItem : public CBase
{
	public:

		CContextMenuItem(const CString & name, int action, bool hasDivider, std::vector<CContextMenuItem*>* const menuItemList = NULL);

		~CContextMenuItem();

	public:
		CString	m_szName;
		int	m_action;
		bool m_hasDivider;
		std::vector<CContextMenuItem*>* m_pSubItemList;
};

//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CCONTEXTMENUITEM_H_ */
