/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CControlCheckBox.h

  Description :	

  Last Modified $Date: 2006/12/20 04:29:05 $

  $Revision: 1.4 $

*******************************************************************************/

#ifndef CControlCheckBox_H_
#define CControlCheckBox_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CTypes.h"
#include "CWindow.h"
#include "CControl.h"
#include "CGfx.h"
#include "CString.h"
#include <CText.h>

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CControlCheckBox : public CControl
{

	public:

		CControlCheckBox(V2 const size, V2 const position, bool checked = false);

		virtual ~CControlCheckBox();
		
		virtual void RenderControl();
		virtual void ProcessControlInput();
		virtual void ProcessControl();
		virtual void activate();
		bool isChecked();
		void check();
		void unCheck();
		void setCheck(bool check);

	private: /* Drawing helpers */
	
		void DrawCheckMark(V2 left, V2 bottom, V2 right, ARGB color);
		void DrawCheckMarkAA(V2 left, V2 bottom, V2 right, float offset, ARGB color);
		void DrawX(V2 topLeft, V2 topRight, V2 bottomLeft, V2 bottomRight, ARGB color);
		void DrawXAA(V2 topLeft, V2 topRight, V2 bottomLeft, V2 bottomRight, float offset, ARGB color);

	private:
		V2 m_size;
		V2 m_position;
		bool m_checked;
};


//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CControlCheckBox_H_ */
