/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CControlHeader.h

  Description :	

  Last Modified $Date: 2006/12/11 02:05:27 $

  $Revision: 1.3 $

*******************************************************************************/

#ifndef CControlHeader_H_
#define CControlHeader_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CTypes.h"
#include "CWindow.h"
#include "CControl.h"
#include "CGfx.h"
#include "CString.h"
#include "CControlLabel.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CControlHeader : public CControl
{

	public:

		CControlHeader();

		virtual ~CControlHeader();
		
		virtual void RenderControl();
		virtual void ProcessControlInput();
		virtual void ProcessControl();	
		
		void setNewMessages(int num);
		void setTitle(CString text);
		void setConnection(CString text);
		void setAccount(CString text);	

	private:
		CControlLabel* m_pTimeLabel;
		CControlLabel* m_pDateLabel;
		CControlLabel* m_pNewMsgLabel;
		CControlLabel* m_pTitleLabel;
		CControlLabel* m_pConnectionLabel;
		CControlLabel* m_pAccountLabel;
};


//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CControlHeader_H_ */

