/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CControlScrollBar.h

  Description :	

  Last Modified $Date: 2006/11/25 16:41:26 $

  $Revision: 1.2 $

*******************************************************************************/

#ifndef CControlScrollBar_H_
#define CControlScrollBar_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CTypes.h"
#include "CWindow.h"
#include "CControl.h"
#include "CGfx.h"
#include "CString.h"
#include "CControlLabel.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************
class CControlScrollBarPhase;

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CControlScrollBar : public CControl
{
	public:
		CControlScrollBar(V2 const size, V2 const position, u32 maxDisplayedItems);

		virtual ~CControlScrollBar();

		virtual void RenderControl();
		virtual void ProcessControlInput();
		virtual void ProcessControl();

		// Increment the current phase by the current amount (do not go past!)
		void update(u32 firstDisplayedItem, u32 totalItems); 

		// Set the # of items that are displayed in the list at one time
		void setMaxDisplayedItems(u32 maxDisplayedItems);

	private:
		V2 m_size;
		V2 m_position;
		u32 m_maxDisplayedItems;
		u32 m_firstDisplayedItem;
		u32 m_totalItems;
};

//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CControlTextBox_H_ */
