/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CControlTextBox.h

  Description :	

  Last Modified $Date: 2008/09/28 01:02:03 $

  $Revision: 1.8 $

*******************************************************************************/

#ifndef CControlTextBox_H_
#define CControlTextBox_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CTypes.h"
#include "CWindow.h"
#include "CControl.h"
#include "CGfx.h"
#include "CString.h"
#include "CCursorTimer.h"
#include <CText.h>

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CControlTextBox : public CControl
{

	public:

		CControlTextBox(V2 const size, V2 const position, CText* text = new CText(""));

		virtual ~CControlTextBox();
		
		virtual void RenderControl();
		virtual void ProcessControlInput();
		virtual void ProcessControl();
		virtual void activate();
		virtual void deActivate();
		CText* getText();
		void setText(CText* text);
		void setPassword(bool password);
		void home();
		void end();

	private:
		void resetPasswordText();

	private:

		V2 m_size;
		V2 m_position; // relative to top left corner
		CText* m_text;
		CText* m_passwordText;
		bool m_password;
		char m_passwordChar;
		CCursorTimer* m_cursorTimer;

};


//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CControlTextBox_H_ */
