/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CCursorTimer.cpp

  Description :	

  Last Modified $Date: 2008/09/28 01:02:03 $

  $Revision: 1.1 $

*******************************************************************************/

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CCursorTimer.h"
#include "CTypes.h"
#include "CFrameWork.h"

//******************************************************************************
//   Local Macros
//******************************************************************************

//******************************************************************************
//   Local Constants
//******************************************************************************

//******************************************************************************
//   Static Prototypes
//******************************************************************************

//******************************************************************************
//   Global Variables
//******************************************************************************

//******************************************************************************
//   Static Variables
//******************************************************************************

//******************************************************************************
//   Class Definition
//******************************************************************************

//******************************************************************************
//	
//******************************************************************************
void CCursorTimer::Reset()
{
	u64 curTick = CFrameWork::GetTicks();
	sceRtcTickAddTicks(&m_next_toggle, &curTick, m_toggle_rate);
}

//******************************************************************************
//	
//******************************************************************************
void CCursorTimer::Show()
{
	Reset();
	m_show_cursor = true;
}

//******************************************************************************
//	
//******************************************************************************
void CCursorTimer::Hide()
{
	Reset();
	m_show_cursor = false;
}

//******************************************************************************
//	
//******************************************************************************
bool CCursorTimer::isCursorVisible()
{
	u64 curTick = CFrameWork::GetTicks();
	if (sceRtcCompareTick(&curTick, &m_next_toggle) >= 0)
	{
		m_show_cursor ^= 1;
		sceRtcTickAddTicks(&m_next_toggle, &curTick, m_toggle_rate);
	}
	
	return m_show_cursor;
}
