/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CCursorTimer.h

  Description :	

  Last Modified $Date: 2008/09/29 04:22:27 $

  $Revision: 1.2 $

*******************************************************************************/

#ifndef CCURSORTIMER_H_
#define CCURSORTIMER_H_

#include "CBase.h"

#include <psptypes.h>

#define DEFAULT_CURSOR_TOGGLE_RATE 400000

class CCursorTimer : public CBase
{
	private:
		u64 m_next_toggle;
		u64 m_toggle_rate;
		bool m_show_cursor;
		
	public:
		CCursorTimer(u64 toggleRate = DEFAULT_CURSOR_TOGGLE_RATE) :
			m_next_toggle(0),
			m_toggle_rate(toggleRate),
			m_show_cursor(false)
		{
			Reset();
		}
	
		void Reset();
		void Show();
		void Hide();
		bool isCursorVisible();
};

#endif /* CCURSORTIMER_H_ */
