/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CDialogBoxInput.h

  Description :	

  Last Modified $Date: 2006/12/21 06:24:08 $

  $Revision: 1.3 $

*******************************************************************************/

#ifndef CDIALOGBOXINPUT_H_
#define CDIALOGBOXINPUT_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CTypes.h"
#include "CWindow.h"
#include "CGfx.h"
#include "CControlTextBox.h"
#include "CControlButton.h"
#include "CControl.h"
#include "CControlManager.h" 

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CDialogBoxInput : public CWindow
{
	public:

		enum eExitCode {
			OK,
			CANCEL
		};

		CDialogBoxInput(int const width, V2 const position, CString const text, bool includeTextInput, bool includeCancelButton, CString defaultText = CString(""), bool cursorAtBeginning = false);

		~CDialogBoxInput();
		
		virtual void			Render();
		virtual void			Process();
		virtual bool			ProcessInput();
		int						getExitValue();
		CString					getReturnText();
	
	private:

		V2 m_size;
		V2 m_position;
		CString m_text;
		bool m_includeTextInput;
		bool m_includeCancelButton;
		int m_exitValue;
		CString m_defaultText;
		
 		CControlTextBox* m_pTextField;
        CControlButton* m_pOKButton;
        CControlButton* m_pCancelButton;

        CControlManager* m_pControlManager;
};


//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CCONTEXTMENU_H_ */
