/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CHUHelp.h

  Description :	

  Last Modified $Date: 2006/10/09 16:55:45 $

  $Revision: 1.1 $

*******************************************************************************/

#ifndef CHUHelp_H_
#define CHUHelp_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CTypes.h"
#include "CString.h"
#include "CSkinManager.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CHUHelp
{
	public:

		enum eButton
		{
			BUTTON_CROSS,
			BUTTON_CIRCLE,
			BUTTON_SQUARE,
			BUTTON_TRIANGLE,
			BUTTON_LTRIGGER,
			BUTTON_RTRIGGER,
			BUTTON_START,
			BUTTON_SELECT,
			BUTTON_UP,
			BUTTON_DOWN,
			BUTTON_RIGHT,
			BUTTON_LEFT,
			
			MAX_BUTTONS
		};

	public:

		static void				Create();
		static void				Destroy();

		static void				Show( bool show );
		static bool				IsVisible();

		static void				SetButton( eButton button, const CString & text );
		static void				SetButtons( const CString & cross, const CString & circle, const CString & square, const CString & triangle );
		static void				Clear();

	private:

		CHUHelp();
		~CHUHelp();

		static void				Render();
		void					RenderInternal();
		static void				BuildSize();

	private:

		static bool							s_bVisible;
		static CHUHelp *					s_pInstance;
		static CString						s_szButtonText[ MAX_BUTTONS ];
		static CSkinManager::eSkinComponent	s_buttonTexture[ MAX_BUTTONS ];
		static V2							m_size;
};

//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CHUHelp_H_ */
