/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CMessageViewWindow.h

  Description :	

  Last Modified $Date: 2006/11/16 03:44:59 $

  $Revision: 1.2 $

*******************************************************************************/

#ifndef CMESSAGEVIEWWINDOW_H_
#define CMESSAGEVIEWWINDOW_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CTypes.h"
#include "CWindow.h"
#include "CGfx.h"
#include "CControlTextBox.h"
#include "CControlButton.h"
#include "CControl.h"
#include "CMailbox.h"
#include "CScrollableText.h"
#include "CContextMenu.h"
#include "CComposeWindow.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CMessageViewWindow : public CWindow
{
	public:

		enum eExitCode {
			OK,
			REMOVE
		};

		CMessageViewWindow(CMessageHeader* message, CMailbox* aMailbox);
		~CMessageViewWindow();
		
		virtual void			Render();
		virtual void			Process();
		virtual bool			ProcessInput();
		int						getExitValue();
	
	private:
		void composeReplyFromSelected();
		void composeReplyAllFromSelected();
		void composeForwardFromSelected();

	private:
		CComposeWindow* m_pComposeWindow;
		CMessageHeader* m_pMessage;
		CMailbox* m_pMailbox;
		V2 m_size;
		V2 m_position;
		CText* m_text;
		CScrollableText* m_scrollableText;
		int m_exitValue;
		
		CContextMenu* m_pContextMenu;
		
		enum eMenuItems {
			HIDE,
			REPLY,
			REPLYALL,
			FORWARD,
			DELETE,
			CLOSE
		};

		s32 m_nPageRepeatCount;
};


//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CCONTEXTMENU_H_ */
