/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) 71M, Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CPSPoste.h

  Description :	

  Last Modified $Date: 2008/09/29 04:22:27 $

  $Revision: 1.4 $

*******************************************************************************/

#ifndef CPSPMAIL_H_
#define CPSPMAIL_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CProcess.h"
#include "CWindow.h"
#include "CString.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CMainWindow;
class CComposeWindow;
class CMessagesWindow;
class CSettingsWindow;
class CContactsWindow;
class CMailbox;
class CBenTestWindow;
class CPSprintGame;
class CAccount;

class CPSPoste : public CProcess
{
	public:

		static void	Create();
		static void Destroy();

		static CPSPoste *Get();

	public:

		virtual void Process();
		virtual bool ProcessInput();
		void ResetMailbox();
		void ActivateAccount(u32 aIdx);
		bool IsAccountSwitchSafe();
		void RenameMailbox(CString oldName, CString newName);
		CAccount* FindAccountByName(CString accountName);

	private:

		CPSPoste();
		~CPSPoste();

	private:

		CMainWindow *		m_pMainWindow;
		CComposeWindow *	m_pComposeWindow;
		CContactsWindow *	m_pContactsWindow;
		CSettingsWindow *	m_pSettingsWindow;
		CMessagesWindow *	m_pMessagesWindow;	
		CPSprintGame*		m_pPSprintGame;

#ifndef RELEASE
		CBenTestWindow *	m_pBenTestWindow;
#endif
		CMailbox *			m_pMailbox;

	private:
		static CPSPoste *	s_pInstance;
		float					m_FadeInLevel;
		u32 m_screenshotNum;

	public:
		static CWindow::eWindow s_CurrentWindow;
		static CWindow::eWindow s_NewWindow;

};

//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CPSPMAIL_H_ */
