/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CRandomBin.h

  Description :	

  Last Modified $Date: 2008/09/27 22:08:56 $

  $Revision: 1.1 $

*******************************************************************************/

#ifndef CRANDOMBIN_H_
#define CRANDOMBIN_H_

#include <psptypes.h>

class CRandomBin
{
	public:
		static bool Open();
		static bool Close();
		
	private:
		static bool ExistsAndAppearValid();
		static bool CreateRandomBinFile();
		static void WaitForButtonPress();
		static void WaitForButtonClear();
		static bool WriteBufToFile(u16* buf, u32 length);
		
};

#endif /* CRANDOMBIN_H_ */
