/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) T Swann, Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CTabbedWindow.h

  Description :	

  Last Modified $Date: 2007/02/05 01:28:40 $

  $Revision: 1.3 $

*******************************************************************************/

#ifndef CTabbedWindow_H_
#define CTabbedWindow_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CTypes.h"
#include "CString.h"
#include "CProcess.h"
#include "CWindow.h"
#include "CControlManager.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************
class CTabbedWindowItem;

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************

//*********************************************************************************
//	
//*********************************************************************************
class CTabbedWindow : public CWindow
{
	public:
		typedef std::vector< CTabbedWindowItem* > TabbedItemList;

	public:
		CTabbedWindow();

		virtual void Render();
		virtual void Process();
		virtual bool ProcessInput();

		void addTab(CTabbedWindowItem* tab);
		float drawTab(CString name, V2 pos, bool selected, bool nextSelected, bool prevSelected);

	protected:
		virtual ~CTabbedWindow();

	public:
		TabbedItemList* m_pTabList;
		CTabbedWindowItem* m_pSelectedTab;
		float m_maxNameHeight;

};

class CTabbedWindowItem
{
	public:
		CTabbedWindowItem(CString name, CControlManager* const controlManager);
		~CTabbedWindowItem();

	public:
		CString m_name;
		CControlManager* m_pControlManager;
};

//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CTabbedWindow_H_ */
