/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CKeyboardDanzeff.h

  Description :	

  Last Modified $Date: 2006/11/20 04:34:34 $

  $Revision: 1.3 $

*******************************************************************************/

#ifndef CKEYBOARDDANZEFF_H_
#define CKEYBOARDDANZEFF_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CKeyboard.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************
// These must match with the texture dimensions
#define DANZEFF_WIDTH 102
#define DANZEFF_HEIGHT 102

//******************************************************************************
//   Class definitions
//******************************************************************************
/* The CKeyboard class defines the interface PSPoste is to use when wanting to
 * poll for key presses when in text entry mode. See the CKeyboardNav class for
 * the class responsible for navigating the interface.
 */
class CKeyboardDanzeff : public CKeyboard
{
	public: /* Types */
	
		enum eKeyboardLocation {
			LOCATION_TOP_RIGHT = 0,
			LOCATION_BOTTOM_RIGHT,
			LOCATION_MAX
		};
	
	public: /* Constructors & destructors */
	
		CKeyboardDanzeff();
		virtual ~CKeyboardDanzeff();
	
	protected: /* Overriding methods */
	
		virtual bool doRender();
		virtual bool doProcess(SceCtrlData *aPadData);
		
	private: /* Helper methods */
	
		void moveToLocation();
		
	private: /* Control data */
	
		u32 m_location;
		
};

//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CKEYBOARDDANZEFF_H_ */
