/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CKeyboardGUIAnalog1.h

  Description :	

  Last Modified $Date: 2006/11/18 06:46:45 $

  $Revision: 1.1 $

*******************************************************************************/

#ifndef CKEYBOARDGUIANALOG1_H_
#define CKEYBOARDGUIANALOG1_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CKeyboardGUI.h"
#include "CPspAnalogRepeat.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
/* The CKeyboard class defines the interface PSPoste is to use when wanting to
 * poll for key presses when in text entry mode. See the CKeyboardNav class for
 * the class responsible for navigating the interface.
 */
class CKeyboardGUIAnalog1 : public CKeyboardGUI
{
	public: /* Constructors & Destructors */
	
		CKeyboardGUIAnalog1() : CKeyboardGUI(),
			m_pspAnalogRepeat()
		{};
		
	private: /* Overriding methods */
	
		virtual void guiProcess();
		virtual void reset();
		
	private: /* Control data */
	
		CPspAnalogRepeat m_pspAnalogRepeat;

};

//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CKEYBOARDGUIANALOG1_H_ */
