/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CKeyboardNavGUIAnalog1.h

  Description :	

  Last Modified $Date: 2006/11/18 06:46:45 $

  $Revision: 1.1 $

*******************************************************************************/

#ifndef CKEYBOARDNAVGUIANALOG1_H_
#define CKEYBOARDNAVGUIANALOG1_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CKeyboardNav.h"
#include "CPspAnalogRepeat.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************
class CKeyboardNavGUIAnalog1 : public CKeyboardNav
{
	public: /* Constructors & destructors */
	
		CKeyboardNavGUIAnalog1(CKeyboard* aKeyboard) : CKeyboardNav(aKeyboard),
			m_pspAnalogRepeat()
		{};
		
	public: /* Overriding methods */
		
		virtual void process(SceCtrlData *aPadData) { CKeyboardNav::process(aPadData); m_pspAnalogRepeat.process(); };
		virtual bool up() { return (CKeyboardNav::up() || m_pspAnalogRepeat.getRepeatDirections() & CPspAnalogRepeat::DIRECTION_UP); };
		virtual bool down() { return (CKeyboardNav::down() || m_pspAnalogRepeat.getRepeatDirections() & CPspAnalogRepeat::DIRECTION_DOWN); };
		virtual bool left() { return (CKeyboardNav::left() || m_pspAnalogRepeat.getRepeatDirections() & CPspAnalogRepeat::DIRECTION_LEFT); };
		virtual bool right() { return (CKeyboardNav::right() || m_pspAnalogRepeat.getRepeatDirections() & CPspAnalogRepeat::DIRECTION_RIGHT); };
		
	private:
	
		CPspAnalogRepeat m_pspAnalogRepeat;
};

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************

//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CKEYBOARDNAVGUIANALOG1_H_ */
