/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CKeyboardNavIrda.h

  Description :	

  Last Modified $Date: 2006/11/16 03:44:59 $

  $Revision: 1.2 $

*******************************************************************************/

#ifndef CKEYBOARDNAVIRDA_H_
#define CKEYBOARDNAVIRDA_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CKeyboardNav.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
class CKeyboardNavIrda : public CKeyboardNav
{
	public: /* Constructors & destructors */
		
		CKeyboardNavIrda(CKeyboard* aKeyboard) : CKeyboardNav(aKeyboard) {};
		
	public: /* Events */
		
		virtual bool up() { return (CKeyboardNav::up() || m_keyboard->getControlKey() == CKeyboard::UP); };
		virtual bool down() { return (CKeyboardNav::down() || m_keyboard->getControlKey() == CKeyboard::DOWN); };
		virtual bool left() { return (CKeyboardNav::left() || m_keyboard->getControlKey() == CKeyboard::LEFT); };
		virtual bool right() { return (CKeyboardNav::right() || m_keyboard->getControlKey() == CKeyboard::RIGHT); };
		virtual bool pageUp() { return (CKeyboardNav::pageUp() || m_keyboard->getControlKey() == CKeyboard::PAGE_UP); };
		virtual bool pageDown() { return (CKeyboardNav::pageDown() || m_keyboard->getControlKey() == CKeyboard::PAGE_DOWN); };
		virtual bool activateControl() { return (CKeyboardNav::activateControl() || m_keyboard->getControlKey() == CKeyboard::ENTER); };
		virtual bool deactivateControl() { return (CKeyboardNav::deactivateControl() || m_keyboard->getControlKey() == CKeyboard::ESC); };
		virtual bool openContextMenu() { return (CKeyboardNav::openContextMenu() || m_keyboard->getControlKey() == CKeyboard::TAB); };
		virtual bool closeContextMenu() { return (CKeyboardNav::closeContextMenu() || m_keyboard->getControlKey() == CKeyboard::TAB); };
		virtual bool expandSubContextMenu() { return (CKeyboardNav::expandSubContextMenu() || m_keyboard->getControlKey() == CKeyboard::LEFT); };
		virtual bool collapseSubContextMenu() { return (CKeyboardNav::collapseSubContextMenu() || m_keyboard->getControlKey() == CKeyboard::RIGHT); };
		virtual bool markMessageToggle() { return (CKeyboardNav::markMessageToggle() || m_keyboard->getCharKey() == ' '); };
		virtual bool openMessage() { return (CKeyboardNav::openMessage() || m_keyboard->getControlKey() == CKeyboard::ENTER); };
		virtual bool closeMessage() { return (CKeyboardNav::closeMessage() || m_keyboard->getControlKey() == CKeyboard::ESC); };
		virtual bool closeInputWindow() { return (CKeyboardNav::closeInputWindow() || m_keyboard->getControlKey() == CKeyboard::ESC); };
		virtual bool nextTab() { return (CKeyboardNav::nextTab() || m_keyboard->getControlKey() == CKeyboard::PAGE_DOWN); };
		virtual bool prevTab() { return (CKeyboardNav::prevTab() || m_keyboard->getControlKey() == CKeyboard::PAGE_UP); };
		virtual bool saveComboBoxSelection() { return (CKeyboardNav::saveComboBoxSelection() || m_keyboard->getControlKey() == CKeyboard::ENTER); };
		virtual bool cancelComboBoxSelection() { return (CKeyboardNav::cancelComboBoxSelection() || m_keyboard->getControlKey() == CKeyboard::ESC); };
		
};

//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CKEYBOARDNAVIRDA_H_ */
