/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	CKeyboardPsprint.h

  Description :	

  Last Modified $Date: 2006/11/16 03:44:59 $

  $Revision: 1.2 $

*******************************************************************************/

#ifndef CKEYBOARDPSPRINT_H_
#define CKEYBOARDPSPRINT_H_

//******************************************************************************
//   Include Files
//******************************************************************************
#include "CKeyboard.h"
#include "CPspPadRepeat.h"
#include "p_sprint.h"

//******************************************************************************
//   Macros
//******************************************************************************

//******************************************************************************
//   Types
//******************************************************************************

//******************************************************************************
//   Constants
//******************************************************************************

//******************************************************************************
//   Class definitions
//******************************************************************************
/* The CKeyboard class defines the interface PSPoste is to use when wanting to
 * poll for key presses when in text entry mode. See the CKeyboardNav class for
 * the class responsible for navigating the interface.
 */
class CKeyboardPsprint : public CKeyboard
{
	public: /* Constructors & Destructors */
		CKeyboardPsprint() : CKeyboard(),
			m_editMode(true),
			m_pspPadRepeat(PSP_CTRL_LEFT | PSP_CTRL_RIGHT | PSP_CTRL_UP | PSP_CTRL_DOWN | PSP_CTRL_SQUARE | PSP_CTRL_CIRCLE)
		{};
	
	protected: /* Overriding methods */
	
		virtual bool doRender();
		virtual bool doProcess(SceCtrlData *aPadData);
		virtual void reset();
		
	private: /* Helper functions */
		void editModeProcess();
		void cursorModeProcess();
		
	private: /* Control data */
	
		bool m_editMode;
		CPspPadRepeat m_pspPadRepeat;
		struct p_sp_Key m_psprintKey;
		
};

//******************************************************************************
//   Externs
//******************************************************************************

//******************************************************************************
//   Prototypes
//******************************************************************************

#endif /* CKEYBOARDPSPRINT_H_ */
