/*******************************************************************************

  PSPoste - Wireless Email Client for the Sony PSP
  Copyright (C) Benjamin Biron, Sajeeth Cherian, David Cummings

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

  Module :	main_globals.c

  Description :	

  Last Modified $Date: 2008/10/01 03:05:15 $

  $Revision: 1.4 $

*******************************************************************************/

//******************************************************************************
//   Include Files
//******************************************************************************
#include <pspkerneltypes.h>

//******************************************************************************
//   Constants
//******************************************************************************
// The default main thread stack size is 256 KB, which is excessive since our
// main thread basically dispatches other threads to do the work
#define MAIN_THREAD_STACK_SIZE (4*1024)
#define CONN_MAN_THREAD_STACK_SIZE (8*1024)
#define USER_THREAD_STACK_SIZE (256*1024)
#define RETRIEVER_THREAD_STACK_SIZE (256*1024)
#define SENDER_THREAD_STACK_SIZE (256*1024)
#define NET_MODULES_SIZE (384*1024) // Actual on FW 4.01m33-2: 383926 Bytes
#define PADDING_SIZE (256*1024) // Padding to account for fragmentation
#define PSPOSTE_HEAP_SIZE_KB (-(MAIN_THREAD_STACK_SIZE + CONN_MAN_THREAD_STACK_SIZE + USER_THREAD_STACK_SIZE + RETRIEVER_THREAD_STACK_SIZE + SENDER_THREAD_STACK_SIZE + NET_MODULES_SIZE + PADDING_SIZE)/1024)

//******************************************************************************
//   Prototypes
//******************************************************************************
int user_main(SceSize argc, void* argp);

//******************************************************************************
//   Global Variables
//******************************************************************************
extern char s_ebootPath[];
